# Delete selected messages in mailbox

This function marks the selected mail messages as deleted.

Endpoint: GET /Mailboxes/expunge_mailbox_messages
Version: 11.136.0.13
Security: BasicAuth

## Query parameters:

  - `account` (any, required)
    The email account's name.

  - `mailbox` (string, required)
    The mailbox to operate on.

Note:

* Use the Mailboxes::get_mailbox_status_list function to list possible values for the mailbox parameter.
 Because you cannot escape wildcard characters such as (), we recommend that you use functions that use the mailbox_guid parameter instead. For example, the Mailboxes::expunge_messages_for_mailbox_guid function.
    Example: "INBOX.user@example_com"

  - `query` (string, required)
    The Dovecot query to execute.

Note:

The query parameter prevents accidental removal of all messages in the mailbox. For more information, read Dovecot's Search Query documentation.
    Example: "savedbefore 52w"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "expunge_mailbox_messages"

  - `module` (string)
    The name of the module called.
    Example: "Mailboxes"

  - `result` (object)

  - `result.data` (any)

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


